EndpointContext (Java Platform SE 8 )
Keywords: javax.xml.ws.EndpointContext class
Date: 2026-04-24

javax.xml.ws

## Class EndpointContext

- java.lang.Object
- - javax.xml.ws.EndpointContext

-     public abstract class EndpointContext
      extends Object

  `EndpointContext` allows multiple endpoints in an application to share any information. For example, servlet application's war may contain multiple endpoints and these endpoints can get addresses of each other by sharing this context. If multiple endpoints share different ports of a WSDL, then the multiple port addresses can be patched when the WSDL is accessed. It also allows all endpoints to share any other runtime information.

  This needs to be set by using `Endpoint.setEndpointContext(javax.xml.ws.EndpointContext)` before `Endpoint.publish(java.lang.String)` methods.

  Since:
    JAX-WS 2.2

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EndpointContext()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract Set<Endpoint>` | `getEndpoints()` This gives list of endpoints in an application.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EndpointContext

          public EndpointContext()

  - ### Method Detail

    - #### getEndpoints

          public abstract Set<Endpoint> getEndpoints()

      This gives list of endpoints in an application. For e.g in servlet container, a war file may contain multiple endpoints. In case of http, these endpoints are hosted on the same http server.
      Returns:
        list of all endpoints in an application

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.